# Schedulerule module

Schedulerule module handling /scheduerule/ API calls.

class rachiopy.schedulerule.Schedulerule(authtoken: str, http_session=None, timeout=25)

  Schedulerule class with methods for /schedulerule/ API calls.

  get(sched_rule_id: str)

    Retrieve the information for a scheduleRule entity.

    For more info of the content in the response see: https://rachio.readme.io/docs/publicscheduleruleid

    Parameters:

      sched_rule_id (str) – Schedule rule’s unique id

    Returns:

      The return value is a tuple of (response, content), the first being and instance of the httplib2.Response class, the second being a string that contains the response entity body.

    Return type:

      tuple

  seasonal_adjustment(sched_rule_id: str, adjustment: Decimal)

    Seasonal adjustment for a schedule rule (watering time).

    This adjustment amount will be applied to the overall run time of the selected schedule while overriding any current adjustments.

    For more info of the content in the response see: https://rachio.readme.io/docs/publicscheduleruleseasonal_adjustment

    Parameters:

      - sched_rule_id (str) – Schedule rule’s unique id

      - adjustment (Decimal) – Seasonal adjustment percent from 100% to -100% (valid data range is 1 to -1)

    Returns:

      The return value is a tuple of (response, content), the first being and instance of the httplib2.Response class, the second being a string that contains the response entity body.

    Return type:

      tuple

  skip(sched_rule_id: str)

    Skip a schedule rule (watering time).

    For more info of the content in the response see: https://rachio.readme.io/docs/scheduleruleskip

    Parameters:

      sched_rule_id (str) – Schedule rule’s unique id

    Returns:

      The return value is a tuple of (response, content), the first being and instance of the httplib2.Response class, the second being a string that contains the response entity body.

    Return type:

      tuple

  start(sched_rule_id: str)

    Start a schedule rule (watering time).

    For more info of the content in the response see: https://rachio.readme.io/docs/schedulerulestart

    Parameters:

      sched_rule_id (str) – Schedule rule’s unique id

    Returns:

      The return value is a tuple of (response, content), the first being and instance of the httplib2.Response class, the second being a string that contains the response entity body.

    Return type:

      tuple